Перейти к содержанию
Форум русской поддержки продукции Synology

Рекомендованные сообщения

Smiler4

 

Спасибо, попробовал, чуда не случилось, но в логе появилось следующее:

 

2013-03-03 12:15:43 [I] (default) sync
2013-03-03 12:15:43 [I] (default) start update from remote
2013-03-03 12:15:44 [I] (default)   [13] +/mc-4.7.5-p1.spk
2013-03-03 12:15:44 [I] (default)   [13] +/Photos/
2013-03-03 12:15:44 [I] (default)   [13] +/photos/SynoBox-0.4.6.spk
2013-03-03 12:15:44 [I] (default)   [13] +/SynoBox-0.4.6.spk
2013-03-03 12:15:44 [D] (default)*1 item: [13] /mc-4.7.5-p1.spk
2013-03-03 12:15:44 [D] (default)*1   not file_is_in_index
2013-03-03 12:15:44 [I] (default) 1   download remote file: /mc-4.7.5-p1.spk
2013-03-03 12:15:45 [E] (default)[403] "Host: rpc.dropbox.com:443, FE: None, X-Dropbox-RequestId: None, X-Dropbox-App-Error: None, Full Dropbox access attempt failed because this app is not configured to have full Dropbox access.  Should your access type be app folder ('sandbox') instead?"
Traceback (most recent call last):
  File "/volume1/@appstore/SynoBox/app/synobox.py", line 483, in daemon_func
    count = command_update()
  File "/volume1/@appstore/SynoBox/app/synobox.py", line 633, in command_update
    count += command_update_remote()
  File "/volume1/@appstore/SynoBox/app/synobox.py", line 830, in command_update_remote
    file_download(*args, temp=temp)
  File "/volume1/@appstore/SynoBox/app/utils.py", line 63, in f_retry
    return f(*args, **kwargs)
  File "/volume1/@appstore/SynoBox/app/synobox.py", line 1315, in file_download
    with client().get_file(rname) as c:
  File "/volume1/@appstore/SynoBox/app/dropbox/client.py", line 391, in get_file
    return self.rest_client.request("GET", url, headers=headers, raw_response=True)
  File "/volume1/@appstore/SynoBox/app/utils.py", line 66, in f_retry
    raise e
  File "/volume1/@appstore/SynoBox/app/utils.py", line 63, in f_retry
    return f(*args, **kwargs)
  File "/volume1/@appstore/SynoBox/app/utils.py", line 66, in f_retry
    raise e
  File "/volume1/@appstore/SynoBox/app/utils.py", line 63, in f_retry
    return f(*args, **kwargs)
  File "/volume1/@appstore/SynoBox/app/utils.py", line 63, in f_retry
    return f(*args, **kwargs)
  File "/volume1/@appstore/SynoBox/app/dropbox/rest.py", line 249, in request
    return cls.IMPL.request(*n, **kw)
  File "/volume1/@appstore/SynoBox/app/dropbox/rest.py", line 182, in request
    raise ErrorResponse(r)
dropbox.rest.ErrorResponse: [403] "Host: rpc.dropbox.com:443, FE: None, X-Dropbox-RequestId: None, X-Dropbox-App-Error: None, Full Dropbox access attempt failed because this app is not configured to have full Dropbox access.  Should your access type be app folder ('sandbox') instead?"

 

Не могу понять, что ему еще нужно.

Ссылка на сообщение
Поделиться на другие сайты
  • Ответов 84
  • Создано
  • Последний ответ

Лучшие авторы в этой теме

Лучшие авторы в этой теме

Smiler4

 

Заработало! Нужно было при настройке аккаунта в DropBox указать нужный доступ, в начале задал к папке из-за этого не работало.

Ссылка на сообщение
Поделиться на другие сайты

Второй день использую Dropbox на Synology и результаты не самые радостные, скажем так в текущем исполнении пакет вообще малопригоден к использованию в наших условиях.

 

Он просто не синхронизирует файлы и папки содержащие в названиях русские буквы. Если он не может скачать какой то файл с сервера dropbox, то дальше этого дело не идет, пыжится каждые 300 секунд (выставляется в настройках), а дальше дело не движется, при этом раздуваются log файлы до 250 Mb, которые, чтоб посмотреть, нужно подключаться к NAS по ssh, так как по http их открывать тяжеловато.

 

Напоследок, сегодня днем через web интерфейс работал со своим dropbox на сервере, необходимо было перенести 10 файлов в другую папку, на компе после этого все отлично синхронизировалось, сейчас стал смотреть на NAS, файлы лежат по старым путям.

 

После чего возникает резонный вопрос: "Нафига, оно такое нужно?"

Ссылка на сообщение
Поделиться на другие сайты

У меня вроде заработал нормально. Файлы с русскими названиями есть (хотя считаю, что это зло), на nas синхронизировались, сейчас пробую в обратную сторону.

Upd: в обратную сторону тоже работает. Скинул в папку nas текстовый файл с русским названием - появился на сервере также с кириллическим названием, хотя в логе название кракозябрами. Единственно, скорость не особо радует, но это не так уж важно.

Ссылка на сообщение
Поделиться на другие сайты
У меня вроде заработал нормально. Файлы с русскими названиями есть (хотя считаю, что это зло), на nas синхронизировались, сейчас пробую в обратную сторону.

Upd: в обратную сторону тоже работает. Скинул в папку nas текстовый файл с русским названием - появился на сервере также с кириллическим названием, хотя в логе название кракозябрами. Единственно, скорость не особо радует, но это не так уж важно.

 

Странно, вряд ли синхронизация рус. файлов зависит от модели NAS. С местом на диске все в порядке, других ошибок по логам не увидел. Может еще кто-то выскажется из попробовавших, было бы интересно.

Ссылка на сообщение
Поделиться на другие сайты

Зависеть может имхо от версии по самой коробки, языковых настроек, версии программы и тд. Вчера обновил версию синобокса, сегодня опять обновление - боюсь трогать.

Ссылка на сообщение
Поделиться на другие сайты

обновил вчера прошивку коробки, саму программу synobox - всё отлично работает, рассортировал файлы по папкам (в том числе и с русскими названиями), ненужные удалились, нужные переместились корректно (думал будут удаляться из старой папки и по новой качаться в новую - ан нет, просто переместились). Заодно прикрутил к трансмиссии проверку папки icab mobile на предмет проверки новых торрент-файлов для закачки, тем самым решив проблему запуска скачивания торрентов с работы и меньше телодвижений при локальном запуске скачивания с планшета.

Ссылка на сообщение
Поделиться на другие сайты
  • 4 недели спустя...

Спасибо всем отписавшимся. Поставил. DS212. Type in App Console DropBox -- Full Dropbox, папочка общего доступа Dropbox. Всё работает прекрасно. В том числе русские буковки. Но скорость ... За сутки из 30 Гиг закачалось 13 :) Впрочем это не важно. Прикрутил к нему TimeBackup. Будет раз в сутки бєкапить. Щас с трансмиссией буду разбираться, как уважаемый e-vred написал.

Ссылка на сообщение
Поделиться на другие сайты
  • 2 недели спустя...

Поставил последнюю версию на DS212j, оказалось что когда ставишь галочку пр синхронизации из Дропбокса на NAS Do not delete files in destination folder when deleted from source folder, типа синхронизируй в одну сторону не удаляй если с Dropbox будет файл удален - все равно при удалении с Dropbox файл с хранилища тоже удаляется.

 

Поставил версию 0213, судя по статистике она нормально работает с ds212j, опять тоже самое - не смотря что галка не слетает.

 

Где копать?

Ссылка на сообщение
Поделиться на другие сайты
  • 2 недели спустя...
package HiDrive работает только по протоколу rsync

 

А чем вас rsync не устраивает ?

Отличное средство для синхронизации данных( читай для бэкапов)...

Ссылка на сообщение
Поделиться на другие сайты

Все устраивает, спору нет отличное средство. Но для доступа по rsync что на HiDrive, что в других облаках нужны платные аккаунты, на бесплатных rsync нет, вот и вся разница.

Ссылка на сообщение
Поделиться на другие сайты
  • 3 недели спустя...
Спасибо всем отписавшимся. Поставил. DS212. Type in App Console DropBox -- Full Dropbox, папочка общего доступа Dropbox. Всё работает прекрасно. В том числе русские буковки. Но скорость ... За сутки из 30 Гиг закачалось 13 :) Впрочем это не важно. Прикрутил к нему TimeBackup. Будет раз в сутки бєкапить. Щас с трансмиссией буду разбираться, как уважаемый e-vred написал.

А как вы бэкапите на один и тот же раздел? или они у вас разные?

У меня система ругается, не дает так настроить

Ссылка на сообщение
Поделиться на другие сайты
А как вы бэкапите на один и тот же раздел? или они у вас разные?

У меня система ругается, не дает так настроить

 

И разделы разные и физические диски разные -- иначе какой смысл?

Ссылка на сообщение
Поделиться на другие сайты
  • 2 недели спустя...

Ставится все отсюда http://synobox.fr.nf/ на моем DS2121j все работает отлично, сделал отдельно папку для полного зеркала Dropbox, отдельная папка для фоток из DP в одностороннем порядке

Ссылка на сообщение
Поделиться на другие сайты

У меня на 713+ не работает. Выкидывает ошибку при синхронизации:

2013-05-23 14:15:00 [i] (default)       sync
2013-05-23 14:15:00 [i] (default)       start update from remote
2013-05-23 14:15:01 [D] (default)*      parallel 3 downloads
2013-05-23 14:15:01 [i] (default)       end update from remote (0)
2013-05-23 14:15:01 [i] (default)       start update from local
2013-05-23 14:15:01 [i] (default)         +/@eaDir/
2013-05-23 14:15:01 [i] (default)         +/\u041b\u0438\u0441\u0442 Microsoft Excel.xls
2013-05-23 14:15:01 [D] (default)*      parallel 3 uploads
2013-05-23 14:15:01 [D] (default)*1       item: /@eaDir/
2013-05-23 14:15:01 [D] (default)*1         skip, reason: //@eaDir/
2013-05-23 14:15:01 [D] (default)*2       item: /\u041b\u0438\u0441\u0442 Microsoft Excel.xls
2013-05-23 14:15:01 [D] (default)*2         not file_is_in_index
2013-05-23 14:15:01 [i] (default) 2   upload remote file: /Apps/SynNAS/Лист Microsoft Excel.xls
2013-05-23 14:15:04 [E] (default)[403] 'Forbidden'
Traceback (most recent call last):
 File "/volume1/@appstore/SynoBox/app/synobox.py", line 719, in handle_futures
   data = future.result()
 File "/volume1/@appstore/SynoBox/lib/python3.3/concurrent/futures/_base.py", line 392, in result
   return self.__get_result()
 File "/volume1/@appstore/SynoBox/lib/python3.3/concurrent/futures/_base.py", line 351, in __get_result
   raise self._exception
 File "/volume1/@appstore/SynoBox/lib/python3.3/concurrent/futures/thread.py", line 54, in run
   result = self.fn(*self.args, **self.kwargs)
 File "/volume1/@appstore/SynoBox/app/synobox.py", line 2225, in func
   r = f(*args, **kwargs)
 File "/volume1/@appstore/SynoBox/app/synobox.py", line 2235, in func
   r = f(*args, **kwargs)
 File "/volume1/@appstore/SynoBox/app/synobox.py", line 1613, in file_upload
   return file_up(remote, local, path, item, folder_id, "upload", None, not conflict)
 File "/volume1/@appstore/SynoBox/app/synobox.py", line 1626, in file_up
   metadata = client().put_file(rname, f, parent_rev=rev, overwrite=overwrite)
 File "/volume1/@appstore/SynoBox/app/dropbox/client.py", line 352, in put_file
   return self.rest_client.PUT(url, file_obj, headers)
 File "/volume1/@appstore/SynoBox/app/dropbox/rest.py", line 264, in PUT
   return cls.IMPL.PUT(*n, **kw)
 File "/volume1/@appstore/SynoBox/app/dropbox/rest.py", line 210, in PUT
   return self.request("PUT", url, body=body, headers=headers, raw_response=raw_response)
 File "/volume1/@appstore/SynoBox/app/utils.py", line 67, in f_retry
   raise e
 File "/volume1/@appstore/SynoBox/app/utils.py", line 64, in f_retry
   return f(*args, **kwargs)
 File "/volume1/@appstore/SynoBox/app/utils.py", line 67, in f_retry
   raise e
 File "/volume1/@appstore/SynoBox/app/utils.py", line 64, in f_retry
   return f(*args, **kwargs)
 File "/volume1/@appstore/SynoBox/app/utils.py", line 64, in f_retry
   return f(*args, **kwargs)
 File "/volume1/@appstore/SynoBox/app/dropbox/rest.py", line 182, in request
   raise ErrorResponse®
dropbox.rest.ErrorResponse: [403] 'Forbidden'
2013-05-23 14:15:04 [E] (default)a process failed
Traceback (most recent call last):
 File "/volume1/@appstore/SynoBox/app/synobox.py", line 577, in daemon_func
   count = command_update()
 File "/volume1/@appstore/SynoBox/app/synobox.py", line 735, in command_update
   count += command_update_local(folder)
 File "/volume1/@appstore/SynoBox/app/synobox.py", line 1442, in command_update_local
   raise Exception("a process failed")
Exception: a process failed
2013-05-23 14:15:04 [D] (default)*        waiting 895s for next sync at 2013-05-23 14:30

Ссылка на сообщение
Поделиться на другие сайты
  • 1 месяц спустя...
Ставится все отсюда http://synobox.fr.nf/ на моем DS2121j все работает отлично, сделал отдельно папку для полного зеркала Dropbox, отдельная папка для фоток из DP в одностороннем порядке
добрый день!!

если можно как то инструкцию для чайников озвучить.

где взять? что качать? и как установить??

 

 

Ссылка на сообщение
Поделиться на другие сайты
добрый день!!

если можно как то инструкцию для чайников озвучить.

где взять? что качать? и как установить??

 

По ссылке, которая указана выше

Ссылка на сообщение
Поделиться на другие сайты
  • 2 месяца спустя...

Приветствую.

 

Подскажите, что у меня криво встало на DS713+

поставил 3 пакета SynoBox Base, SynoBox Data, SynoBox

все имеют статус Running

захожу в админку, есть иконка SynoBox, кликаю на неё, открывается страница https://DiskStation:5001/webman/3rdparty/SynoBox/select.cgi

и говорит 404....

 

подскажите где смотреть, чего крутить?

 

спасибо.

Ссылка на сообщение
Поделиться на другие сайты

Перестал работать DSM 4.3-3776 выдает вот это

Error: Error connecting to "api.dropbox.com": [Errno -3] Temporary failure in name resolution more...
Traceback (most recent call last): File "/volume1/@appstore/SynoBox/app/dropbox/rest.py", line 152, in request conn.request(method, url, body, headers) File "/volume1/@appstore/SynoBoxBase/lib/python3.3/http/client.py", line 1061, in request self._send_request(method, url, body, headers) File "/volume1/@appstore/SynoBoxBase/lib/python3.3/http/client.py", line 1099, in _send_request self.endheaders(body) File "/volume1/@appstore/SynoBoxBase/lib/python3.3/http/client.py", line 1057, in endheaders self._send_output(message_body) File "/volume1/@appstore/SynoBoxBase/lib/python3.3/http/client.py", line 902, in _send_output self.send(msg) File "/volume1/@appstore/SynoBoxBase/lib/python3.3/http/client.py", line 840, in send self.connect() File "/volume1/@appstore/SynoBox/app/dropbox/rest.py", line 41, in connect sock = create_connection((self.host, self.port)) File "/volume1/@appstore/SynoBox/app/dropbox/rest.py", line 101, in create_connection for res in socket.getaddrinfo(host, port, 0, socket.SOCK_STREAM): socket.gaierror: [Errno -3] Temporary failure in name resolution During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/volume1/@appstore/SynoBox/app/synobox.py", line 1042, in command_update command_update_remote(lio) File "/volume1/@appstore/SynoBox/app/synobox.py", line 1132, in command_update_remote result = remote_delta(cursor, resync) File "/volume1/@appstore/SynoBox/app/synobox.py", line 1494, in remote_delta result = client().delta(cursor) File "/volume1/@appstore/SynoBox/app/dropbox/client.py", line 489, in delta return self.rest_client.POST(url, params, headers) File "/volume1/@appstore/SynoBox/app/dropbox/rest.py", line 259, in POST return cls.IMPL.POST(*n, **kw) File "/volume1/@appstore/SynoBox/app/dropbox/rest.py", line 206, in POST post_params=params, headers=headers, raw_response=raw_response) File "/volume1/@appstore/SynoBox/app/utils.py", line 71, in f_retry return f(*args, **kwargs) File "/volume1/@appstore/SynoBox/app/utils.py", line 71, in f_retry return f(*args, **kwargs) File "/volume1/@appstore/SynoBox/app/utils.py", line 80, in f_retry return f(*args, **kwargs) File "/volume1/@appstore/SynoBox/app/dropbox/rest.py", line 176, in request raise RESTSocketError(host, e) dropbox.rest.RESTSocketError: Error connecting to "api.dropbox.com": [Errno -3] Temporary failure in name resolution

может кто занет к чему это и как его заставить работать

Ссылка на сообщение
Поделиться на другие сайты
Приветствую.

 

Подскажите, что у меня криво встало на DS713+

поставил 3 пакета SynoBox Base, SynoBox Data, SynoBox

все имеют статус Running

захожу в админку, есть иконка SynoBox, кликаю на неё, открывается страница https://DiskStation:5001/webman/3rdparty/SynoBox/select.cgi

и говорит 404....

 

подскажите где смотреть, чего крутить?

 

спасибо.

 

Настройки DSM - Безопасность - Повысить защиту от подделки межсайтовых запросов(снять галочку)

выйти из системы и повторно войти

 

проблемы авторизации, у вас наверное DSM версии выше 4.3

Ссылка на сообщение
Поделиться на другие сайты
  • 3 месяца спустя...

Буду признателен за разъяснения. Есть сомнения по поводу безопасности. все-таки стороннее приложение. Не открывает ли оно потенциально какой-либо бэкдор для тех же разрабов? ибо при установке оно получает маскимальные разрешения для взаимодействия с аккаунтом на drobox и к папка на самом сервере. все-таки опыт показывает, что бесплатный сыр только в мышеловке. Кто что думает?

 

Ссылка на сообщение
Поделиться на другие сайты

Конечно возможно все, но если вдуматься - команда DropBox тоже имеет доступ к вашему аккаунту, а еще АНБ :) Если действительно синхронизируете важную для вас информацию, предварительно шифруйте ее, или запихивайте в RAR архив с паролем, такой шаг, как мне кажется, позволит вам спать спокойней.

Ссылка на сообщение
Поделиться на другие сайты

в DSM 5.0 beta появился родной клиент Dropbox/GoogleDrive/Baidu. Байду не пробовал, дропбокс работает четко как часики, Google синхронизирует всё кроме собственных документов GoogleDocs (загружаемые файлы - порядок)

Ссылка на сообщение
Поделиться на другие сайты

Присоединяйтесь к обсуждению

Вы можете опубликовать сообщение сейчас, а зарегистрироваться позже. Если у вас есть аккаунт, войдите в него для написания от своего имени.

Гость
Ответить в этой теме...

×   Вставлено в виде отформатированного текста.   Вставить в виде обычного текста

  Разрешено не более 75 эмодзи.

×   Ваша ссылка была автоматически встроена.   Отобразить как ссылку

×   Ваш предыдущий контент был восстановлен.   Очистить редактор

×   Вы не можете вставить изображения напрямую. Загрузите или вставьте изображения по ссылке.

Загрузка...

×
×
  • Создать...